Installing the Service Pack (Hotfix)

Microsoft SQL Server 2005 Service Pack 2
Installing the Service Pack (Hotfix)

You can upgrade any installed SQL Server 2005 component to SQL Server 2005 SP2. If the version level of an existing SQL Server 2005 component is higher than the SP2 version level, the SP2 Setup program will exclude it from the upgrade.

The following considerations apply when you install SQL Server 2005 SP2:

  • After SQL Server 2005 SP2 has been applied, it cannot be removed without uninstalling the entire product.

  • All features that belong to an instance of SQL Server must be upgraded at the same time. For example, when you upgrade Database Services you must also upgrade Analysis Services if it is installed on the same instance of SQL Server. If a component or instance in the feature tree is not selected, the component or instance will not be upgraded to SQL Server 2005 SP2.

  • Use Windows Authentication whenever possible.

  • When you use SQL Server Authentication, the password that you supply for the sa login cannot contain double quotation marks. If the password contains double quotation marks, use Windows Authentication instead of SQL Server Authentication when you apply SQL Server 2005 SP2, or change the password for the sa login before you run SP2 Setup.

  • When you upgrade an instance of Reporting Services, Setup connects to the report server to upgrade the report server database. If the Windows account of the user who runs Setup is not a member of the sysadmin fixed server role in the report server, you must provide a SQL Server login and password that has sufficient privileges. To do this, select the instance of Reporting Services in the Authentication Mode dialog box, provide the credentials of an account that has the required privileges, and then click OK.

  • By default, SQL Server 2005 SP2 Setup log files are saved to %Program Files%\Microsoft SQL Server\90\Setup Bootstrap\LOG\Hotfix\.

Additional Documentation

Additional SQL Server 2005 SP2 documentation is available from the following sources:

  • The SQL Server 2005 SP2 readme file.

  • The Microsoft Knowledge Base article for SQL Server 2005 SP2.

Disk Space Requirements

To download and install SQL Server 2005 SP2, your computer must have at least 1.9 GB of available disk space. The following table describes the disk space usage:

Disk Usage (MB) | Location | Type
50 | SQL Server 2005 installation directory | Permanent
1,000 | System drive | Permanent
600 | Temp directory | Temporary
250 | Download location | Temporary

After installation, you can remove the 250 MB download package from your computer. Permanent disk space usage of SQL Server 2005 SP2 after installation is approximately 1 GB.

Installation Overview

This section provides an overview of the SQL Server 2005 SP2 installation, including how to do the following:

  • Prepare for a SQL Server 2005 SP2 installation

  • Install SQL Server 2005 SP2

  • Restart services and applications

Prepare for a SQL Server 2005 SP2 Installation

You must do the following before you install SQL Server 2005 SP2:

  • Back up your SQL Server 2005 databases - Before you install SQL Server 2005 SP2, back up the master, msdb, and model databases. Installing SQL Server 2005 SP2 modifies these databases, making them incompatible with pre-SP2 versions of SQL Server 2005. Backups of these databases are required if you decide to reinstall SQL Server 2005 without SP2.

    It is also prudent to back up your user databases.

Important:
When you apply SP2 to instances of SQL Server that participate in a replication topology, you must back up your replicated databases along with your system databases before you apply SP2.

  • Back up your Analysis Services databases, configuration file, and repository - Before you upgrade an instance of Analysis Services to SP2, you should back up the following:

    • Analysis Services databases. By default, these are installed to C:\Program Files\Microsoft SQL Server\MSSQL.1\OLAP\Data\.

    • Analysis Server configuration setting in the msmdsrv.ini configuration file. By default, this is located in the C:\Program Files\Microsoft SQL Server\MSSQL.1\OLAP\Config\ directory.

    • (Optional) The database that contains the Analysis Services repository. This step is required only if the Analysis server has been configured to work with the Decision Support Objects (DSO) library.

Note:
Failure to back up your Analysis Services databases, configuration file, and repository will prevent you from reverting an upgraded instance of Analysis Services to the previous version.

  • Verify that the system databases have enough free space - If the autogrow option is not selected for the master and msdb system databases, these databases each must have at least 500 KB of free space. To verify that the databases have sufficient space, run the sp_spaceused system stored procedure on the master and msdb databases. If the unallocated space in either database is less than 500 KB, increase the size of the database. For more information, see "Expanding a Database" in SQL Server Books Online.

  • Verify that SQL Server 2005 service accounts are not disabled and can be started - Setup might fail if the service startup type for the MSSQLServer, MSSQLServerOLAPService, and ReportServer services is set to Disabled.

    To verify and enable service accounts:

    1. In Control Panel, double-click Administrative Tools, and then double-click Services.

    2. Locate the MSSQLServer service in the list and note the value for Startup Type.

    3. If the value for Startup Type is Disabled, double-click the service name, and then change Startup Type to either Manual or Automatic.

    4. Repeat steps 2 and 3 for the MSSQLServerOLAPService and ReportServer services, and then click OK.

    5. Repeat the process for all installed SQL Server instances.

  • Stop Services and Applications - Stop all applications and services that make connections to the instances of SQL Server that are being upgraded, including SQL Server Management Studio, Business Intelligence Development Studio, Control Panel, and Add or Remove Programs, before installing SQL Server 2005 SP2.

Note:
You cannot stop services in a failover cluster environment. For more information, see the failover cluster installation section later in this topic.

  • To eliminate the requirement to restart your computer after SP2 installation, Setup will display a list of processes that are locking files. If the SP2 Setup program must end a service during installation, it will restart the service after installation finishes.

  • If Setup determines that files are locked during installation, it may be necessary to restart your computer after SP2 installation completes. If necessary, Setup will prompt you to restart your computer.

Install SQL Server 2005 SP2

This section describes the installation process during SQL Server 2005 SP2 Setup.

Important:
SQL Server 2005 SP2 Setup must be run under an account that has administrator privileges on the computer where SP2 will be installed.

Starting SQL Server 2005 SP2 Setup

To install SQL Server 2005 SP2, run the self-extracting package file SQLServer2005SP2-KB921896-PPP-LLL.exe, where PPP indicates the specific platform and LLL represents a designator that varies by language.

Note:
To apply SP2 to SQL Server 2005 components that are part of a failover cluster, see the section for failover cluster installation. To run SP2 Setup in unattended mode, see Installing from the Command Prompt (Hotfix).

Failover Cluster Installation

The following information applies only to SQL Server 2005 components that are part of a failover cluster.

To install the service pack on a failover cluster:

  1. To ensure that SQL Server 2005 SP2 will be installed on all nodes of a failover cluster instance, verify that the TASK Scheduler is running on all passive nodes of your failover cluster instance.

  2. If any resources have been added that have dependencies on SQL Server resources, those dependencies must either be removed or taken offline before you install SQL Server 2005 SP2. If you do not remove the dependencies, the installation of SP2 will take those resources offline.

    Note:
    When a clustered resource is taken offline, all dependent resources are also taken offline by the cluster service.

  3. Run the SQL Server 2005 SP2 executable package file from the active node that owns the group containing the failover cluster instance that you plan to upgrade. This installs the service pack files on all nodes in the failover cluster. You cannot install SP2 from any passive nodes in the failover cluster.

  4. On the Feature Selection page of the SQL Server 2005 SP2 Setup Wizard, select the failover cluster instance that you plan to upgrade. Setup will prompt you for the login credentials that are used to connect to other nodes in the cluster.

    Note:
    Keep all nodes of the cluster online during Setup. This ensures that the upgrade is applied to each cluster node.

  5. If you removed dependencies or took resources offline in step 1, restore the dependencies, or bring the resources online.

    Note:
    Setup might require you to restart the failover cluster nodes. This restart replaces the files that were in use during Setup.
Rebuild a SQL Server 2005 SP2 Failover Cluster Node

If you must rebuild a node in the failover cluster after SP2 has been applied, perform the following steps:

  1. Rebuild the node in the failover cluster. For more information about rebuilding a node, see "How to: Recover from Failover Cluster Failure in Scenario 1" in SQL Server Books Online.

  2. Run the original SQL Server 2005 Setup program to restore the node to the failover cluster.

  3. Run SQL Server 2005 SP2 Setup on the node that you have added.

Restart Services and Applications

When Setup completes, it might prompt you to restart the computer. After the system restarts, or after Setup completes without requesting a restart, use the Services node in Control Panel to restart the services you stopped before you applied SQL Server 2005 SP2.

This includes services like Distributed Transaction Coordinator and the Microsoft Search services, or instance-specific equivalents. Restart the applications that you closed before you ran SQL Server 2005 SP2 Setup. You might also want to make another backup of the upgraded master, msdb, and model databases immediately after successful installation.


Installing from the Command Prompt (Hotfix)

Installing from the Command Prompt (Hotfix)

Before you proceed, review installation considerations in Installing the Service Pack (Hotfix).

The following command prompt switches are supported for unattended installation of SQL Server 2005 SP2. Test and modify installation scripts to meet the needs of your organization.

Important:
When possible, supply security credentials at run time. If you must store credentials in a script file, secure the file to prevent unauthorized access.

Switch

Description

/?

Displays unattended installation command prompt help.

/allinstances

Applies SQL Server 2005 SP2 to all instances of SQL Server 2005 and to all SQL Server 2005 shared, instance-unaware components.

/instancename=InstanceName

Applies SQL Server 2005 SP2 to an instance of SQL Server 2005 named InstanceName, and to all SQL Server 2005 shared, instance-unaware components.

/password=Password

User account password for connecting to a remote failover cluster node.

/quiet

Runs SQL Server 2005 SP2 Setup in unattended mode.

/reportonly

Only the discovery and enumeration section of Setup is run, and a report enumerating the local instances and components of SQL Server 2005 is displayed.

Note:
When using this switch, SQL Server 2005 SP2 is not applied.

/rsupgradedatabaseaccount=rsAccountName

Specifies an account that has permissions to modify the schema on a report server database when you use SQL Server Authentication. This parameter is used when you upgrade an instance of Reporting Services that includes a report server database that requires a SQL Server login.

/rsupgradepassword=rsPassword

Specifies the password for an account that has permissions to modify the schema on a remote report server database. This parameter is used when you upgrade an instance of Reporting Services that includes a remote report server database.

/rsupgradedatabase

Use the switch /rsupgradedatabase=0 to prevent the Reporting Services database from being upgraded

/sapwd=SaLoginPassword

Passes the SQL Server Authentication password for the sa login to run scripts.

Note:
Do not escape characters for /sapwd. Escaping characters will cause Setup to fail.

/user=Domain\UserName

User account for connecting to a remote failover cluster node.


Copyright Notice (Hotfix)

Copyright Notice (Hotfix)

This documentation, including sample applications herein, is provided for information purposes only, and this documentation is provided without any warranties, either express or implied. Information in this documentation, including URL and other Internet Web site references, is subject to change without notice. The entire risk of the use or the results of the use of this documentation remains with the user.

The primary purpose of a sample contained within this documentation is to illustrate a concept, or a reasonable use of a particular statement or clause. Most samples do not include all of the code that may normally be found in a full production system, as some of the usual data validation and error handling is removed to focus the sample on a particular concept or statement. Technical support is not available for these samples or for any included source code.

Unless otherwise noted, the example companies, organizations, products, domain names, e-mail addresses, people, places, and events depicted herein are fictitious, and no association with any real company, organization, product, domain name, e-mail address, person, place, or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this documentation may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this documentation. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this documentation does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2006 Microsoft Corporation. All rights reserved.

Microsoft, Windows, Windows NT, Windows Server, Active Directory, ActiveX, BackOffice, bCentral, BizTalk, DirectX, Excel, Hotmail, IntelliSense, J/Direct, Jscript, Microsoft Press, MSDN, MS-DOS, Outlook, PivotChart, PivotTable, PowerPoint, SharePoint, SQL Server, Visual Basic, Visual C#, Visual C++, Visual FoxPro, Visual InterDev, Visual J#, Visual J++, Visual SourceSafe, Visual Studio, Win32, Win32s, Windows Mobile, Windows Server System, and WinFX are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

SAP NetWeaver is the registered trademark of SAP AG in Germany and in several other countries.

All other trademarks are property of their respective owners.

Documentation Policy for SQL Server 2005 Support and Upgrade

Content that appears in SQL Server documentation is published only after it has been tested sufficiently. Product documentation – SQL Server Books Online, readme files, known issues documents, and Knowledge Base articles - contains content regarding SQL Server features and functionality that is robust enough to be safe for general use by all customers. This policy applies to all SQL Server documentation, including readme files for releases and services packs; a readme file is considered an extension of Books Online.

In some cases, a particular feature is not something that customers should use directly and, therefore, it is not documented. Unless a feature is also discussed in SQL Server documentation published by Microsoft, content from third party books or Web sites is not supported by Microsoft Customer Support Services (CSS) and should not be used in production databases or applications.

Customers must not use undocumented APIs, including but not limited to: stored procedures, extended stored procedures, functions, views, tables, columns, properties, or metadata. Microsoft Customer Support Services will not support databases or applications that leverage or use undocumented entry points.

Server and database upgrades to future versions of SQL Server are not guaranteed for applications and databases that leverage and use undocumented entry points. Use of SQL Server features and functionality must be limited to those that are included in Microsoft SQL Server documentation. If a feature is not documented in Microsoft SQL Server documentation, it is not a supported part of SQL Server.


Setup User Interface (Hotfix)

Setup User Interface (Hotfix)

The following topics provide additional information about install-time decisions for SQL Server 2005 SP2. To view a Help topic, click its link:

License Terms (Hotfix)

Feature Selection (Hotfix)

Authentication Mode (Hotfix)

Remote Authentication (Hotfix)

Error and Usage Reporting (Hotfix)

Running Processes (Hotfix)

Ready to Install (Hotfix)

Installation Progress (Hotfix)

Installation Complete (Hotfix)

Additional Information (Hotfix)


License Terms (Hotfix)

License Terms (Hotfix)
Setup User Interface (Hotfix) >

Use the License Terms (Hotfix) page of the Microsoft SQL Server 2005 SP2 Installation Wizard to accept the license terms for this release.

Options

To proceed with SQL Server 2005 SP2 Setup, you must click the radio button indicating that you accept the SQL Server 2005 SP2 license terms. You can then click Next to continue.

Use the Print button to print a copy of the license terms for this release. To end SQL Server 2005 SP2 Setup, click Cancel.


Feature Selection (Hotfix)

Feature Selection (Hotfix)
Setup User Interface (Hotfix) >

Use the Feature Selection (Hotfix) page of the Microsoft SQL Server 2005 SP2 Installation Wizard to select SQL Server components and features to update.

Options

Click a feature name in the left pane to see language, operating system, edition, and status details.

To update a component or feature, select the check box next to the feature name. To exclude a component or feature from this update, clear the check box next to the feature name.

Multiple instances of SQL Server 2005 on a single computer can be updated at different times, but all components in an instance of SQL Server must be upgraded at the same time. All shared components, such as Workstation Components, MSXML Parser, SQLXML, Backward Compatibility components, and VSS Writer, must be upgraded to SQL Server 2005 SP2.

If a component cannot be upgraded, an explanation will be provided in the Details pane.


Authentication Mode (Hotfix)

Authentication Mode (Hotfix)
Setup User Interface (Hotfix) >

Use the Authentication Mode (Hotfix) page of the Microsoft SQL Server 2005 SP2 Installation Wizard to provide instance and authentication information that Setup will use to connect to the instances of SQL Server that you want to update.

Options

If the authentication mode, user name, and password are the same for all components or instances to be updated, select the Apply selection to all instances check box. If you select this option, the Instance Name drop-down will be disabled. Provide authentication type, user name, and password information, and then click Test to verify the credentials.

If the authentication mode, user name, and password are not the same for all components to be updated, provide the instance name, authentication type, user name, and password information for each component or instance to be updated, and then click Test to verify the credentials.

As credentials are tested for each component or for each instance of SQL Server, the status table will be populated with results. When all components are listed in the table and all have a “Success" status, click Next to continue. You must resolve all authentication issues before you proceed.

If authentication fails, update the information for the component, and then retry the verification test. When all components are listed in the table, and all have a "Success" status, click Next to continue.


Remote Authentication (Hotfix)

Remote Authentication (Hotfix)
Setup User Interface (Hotfix) >

Use the Remote Authentication (Hotfix) page of the Microsoft SQL Server 2005 SP2 Installation Wizard to provide remote logon information for failover cluster instances of SQL Server that you want to update.

Options

Username

If the logon field is not pre-populated, specify a username that is a valid administrator account for all nodes of the failover cluster.

Password

Specify a password for the selected administrator account.

Domain

Specify the domain name for the selected administrator account.


Error and Usage Reporting (Hotfix)

Error and Usage Reporting (Hotfix)
Setup User Interface (Hotfix) >

Use the Error and Usage Reporting (Hotfix) page of the Microsoft SQL Server 2005 SP2 Installation Wizard to enable feature error and usage reporting functionality for SQL Server 2005.

Options

SQL Server SP2 includes the option to configure SQL Server to automatically send fatal service error reports to Microsoft or to your corporate error reporting server. You can disable one or both options by clearing the check boxes on this page. Microsoft uses error reports to improve SQL Server functionality, and treats all error reporting and feature usage data as confidential.

Error Reporting

If you enable the Error Reporting feature, SQL Server will be configured to send a report to Microsoft automatically if a fatal error occurs in any of the following SQL Server components:

  • Database Engine

  • SQL Server Agent

  • Analysis Services

  • Reporting Services

  • Notification Services

  • Integration Services

  • Replication

Microsoft uses error reports to improve SQL Server functionality and treats all information as confidential.

Information about errors is sent over a secure (https) connection to Microsoft, where it is stored with limited access. Alternatively, error reports can be sent to your own corporate error reporting server. See the Microsoft Corporate Error Reporting Web site for more information about setting up a corporate error reporting server.

Error reports contain the following information:

  • The condition of SQL Server when the problem occurred.

  • The operating system version and computer hardware information.

  • Your Digital Product ID, which is not used to identify your license.

  • The network IP address of your computer or proxy server.

  • Information from memory, or from files associated with the process that caused the error.

Microsoft does not intentionally collect your files, name, address, e-mail address, or any other form of personal information. The error report can, however, contain personal information from the memory, or from files associated with the process that caused the error. Although this information can potentially be used to determine your identity, Microsoft does not use this information for that purpose.

For more information about the Microsoft SQL Server privacy and data collection policy, see the SQL Server 2005 privacy statement.

If you enable Error Reporting and a fatal error occurs, you might see a response from Microsoft in the Windows Event log that points to a Microsoft Knowledge Base article about a particular error.

To disable Error or Feature Usage reporting for all instances of SQL Server and its components after Setup completes, go to the Error and Usage Report Settings dialog box - Start : All Programs : Microsoft SQL Server 2005 : Configuration Tools : SQL Server Error and Usage Reporting - and clear the check boxes for Feature Usage. If Error Reporting is enabled for multiple components of SQL Server (Database Engine, Analysis Server, Reporting Server, and shared components), you can disable Error Reporting for each instance of an individual component. You can also disable Error Reporting for shared components, listed as Others.

Feature Usage

If you enable Feature Usage reporting, SQL Server will be configured to periodically send a report to Microsoft. Reports will include information about your hardware configuration and how you use SQL Server 2005 software and services. Microsoft will use feature usage data to improve SQL Server. SQL Server 2005 components monitored by this feature include:

  • Database Engine

  • Analysis Services

  • Reporting Services

  • Notification Services

  • Integration Services

  • Replication

  • Business Intelligence Development Studio

Information about feature use will be sent to Microsoft, where it will be stored with limited access.

To disable feature usage reporting after Setup completes, use the SQL Server Error and Usage Reporting tool on the SQL Server 2005 Configuration Tools menu.

Information is collected once per day for all enabled instances of SQL Server. By default, the collection is midnight to minimize the load on the server. If you want to change the time of collection, you can manually edit the registry key that controls the collection time. Each instance of SQL Server has its own registry key. The following example is for the first instance of SQL Server that is installed on the server (MSSQL.1):

HKLM\Software\Microsoft\Microsoft SQL Server\MSSQL.1\CPE\TimeofReporting

The value of this registry key contains the time for the collection as the number of minutes from 00:00 (midnight) to run. For example, a value of 60 would run the collection at 1:00 a.m., and a value of 1200 would run the collection at 8:00 p.m.


Running Processes (Hotfix)

Running Processes (Hotfix)
Setup User Interface (Hotfix) >

To avoid restarting Windows after you install Microsoft SQL Server 2005 SP2, use the Running Processes (Hotfix) page of the SQL Server 2005 SP2 Installation Wizard to identify processes that are locking files that are required by SQL Server 2005 SP2 Setup.

Stop all applications and services that make connections to the instances of SQL Server that are being upgraded. This includes stopping SQL Server Management Studio and Business Intelligence Development Studio, and closing Control Panel and Add or Remove Programs before you install SQL Server 2005 SP2.

  • To eliminate the requirement to restart your computer after SP2 installation, Setup will display a list of processes that are locking files. If the SP2 Setup program must end a service during installation, it will restart the service after installation finishes.

  • If Setup determines that files are locked during installation, you might have to restart your computer after SP2 installation finishes. If necessary, Setup will prompt you to restart your computer.

Options

If Setup detects locked files, they will be listed in the table. Stop or end processes and applications in the list, and then click Refresh to re-run the check. Click Stop to end a check that is running. If locked files are not found, the table will be empty.

When all locking processes have been shut down, click Next to continue.

Installing SQL Server 2005 SP2 on a Failover Cluster Instance

Note the following information before you install SQL Server 2005 SP2 on a failover cluster instance:

  • Do not stop the cluster service before you run the SP2 Setup program, or while the installation program is running.

  • Do not end any running processes before you run the SP2 Setup program.

  • Do not take the SQL Server service off line before you run the SP2 Setup program. The SP2 Setup program will stop and start the SQL Server service.

  • Run the SP2 Setup program on the primary node of the failover cluster instance.

  • You must restart all failover cluster nodes after SP2 is finished installing.

  • Rolling upgrade is not supported for SP2.


Ready to Install (Hotfix)

Ready to Install (Hotfix)
Setup User Interface (Hotfix) >

The Ready to Install (Hotfix) page of the Microsoft SQL Server 2005 SP2 Installation Wizard indicates that SQL Server 2005 SP2 Setup has the information that is required to install the update.

Options

Click Back to review or change SQL Server 2005 SP2 installation options. To continue, click Install.


Installation Progress (Hotfix)

Installation Progress (Hotfix)
Setup User Interface (Hotfix) >

Use the Installation Progress (Hotfix) page of the Microsoft SQL Server 2005 SP2 Installation Wizard to monitor Setup as it applies SQL Server 2005 SP2 to your SQL Server components and instances.

Options

The table provides the SQL Server product name, its instance name, and the installation status.


Installation Complete (Hotfix)

Installation Complete (Hotfix)
Setup User Interface (Hotfix) >

The Installation Complete (Hotfix) page of the Microsoft SQL Server 2005 SP2 Installation Wizard shows status of each component that is updated to SQL Server 2005 SP2.

Options

To view a summary log of the SQL Server 2005 SP2 installation, click View Summary. The summary log file is saved to C:\Program Files\Microsoft SQL Server\90\Setup Bootstrap\LOG\Hotfix\.

To view the path for a log file, click the component name. For example, if you click SQL Server Native Client, the Details pane will show the path for the log file: C:\Program Files\Microsoft SQL Server\90\Setup Bootstrap\LOG\Hotfix\Redist9_Hotfix_KB921896_sqlncli.msi.log.


Additional Information (Hotfix)

Additional Information (Hotfix)
Setup User Interface (Hotfix) >

Updated: 12 December 2006

The Additional Information (Hotfix) page of the Microsoft SQL Server 2005 SP2 Installation Wizard contains a check box to open the SQL Server 2005 User Provisioning Tool for Windows Vista. Use the provisioning tool to update the list of users in the System Administrator role for SQL Server.

User Account Control (UAC), also referred as User Account Protection (UAP) or Limited User Accounts (LUA), is a new security feature of Windows Vista. UAC lets users perform common tasks as non-administrators. User accounts that are members of the local Administrators group will run most applications as if using a Standard User account.

By default, Windows Vista users who are members of the Windows Administrators group are not automatically granted permission to connect to SQL Server. Additionally, users are not automatically granted administrative credentials. Members of the SQL Server System Administrator role can perform any activity in the instance of SQL Server.

To enable members of the Administrators group to log in from a computer that runs Windows Vista, you must add the account explicitly to the SQL Server logins.

Options

To update the list of users in the SQL Server System Administrator role, use the check box to start the SQL Server 2005 User Provisioning Tool for Windows Vista.

Ensure that the User to provision field lists the DomainName\UserName of the user whose permissions should be updated. Select the role to be updated from the list of SQL Server instances in the Available privileges pane, and then click the right arrow. To add the user to all available roles for all available instances of SQL Server instances, double-click the right arrow.

The right-hand pane lists the DomainName\UserName of the user whose permissions will be updated, and the SQL Server instances and the roles that will have the user added.

To remove a role from the right-hand pane, select it and then click the left arrow. To remove all roles from the right-hand pane, click the double left arrow. Note that left arrow functionality only affects the users, roles, and permissions displayed in the tool. There is no functionality in the tool to revoke permissions. To revoke permissions from a user, an administrator must manually update or remove the user's credentials.

To implement the changes when your selections are complete, click OK. To end the tool without making changes, click Cancel.

To access the SQL Server 2005 User Provisioning Tool for Microsoft Vista after this installation program ends, click the Add New Administrator link on the SQL Server 2005 Surface Are Configuration Tool (SQLSAC.exe).

The Additional Information (Hotfix) link list provides links to Web sites where additional SQL Server information is available. These links include information about product support, documentation updates, and Microsoft Update options for SQL Server.